## org.hibernate.envers.query.criteria
Class SimpleAuditExpression

    java.lang.Object
      org.hibernate.envers.query.criteria.SimpleAuditExpression

All Implemented Interfaces:
  AuditCriterion

    public class SimpleAuditExpression

extends Object
implements AuditCriterion

Constructor Summary
`SimpleAuditExpression(PropertyNameGetter propertyNameGetter, Object value, String op)`

Method Summary
`void` `addToQuery(AuditConfiguration auditCfg, String entityName, QueryBuilder qb, Parameters parameters)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleAuditExpression

    public SimpleAuditExpression(PropertyNameGetter propertyNameGetter,
                                 Object value,
                                 String op)

Method Detail

### addToQuery

    public void addToQuery(AuditConfiguration auditCfg,
                           String entityName,
                           QueryBuilder qb,
                           Parameters parameters)

  Specified by:
    `addToQuery` in interface `AuditCriterion`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.